package com.liquidnet.service.kylin.dao.report;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PerformanceProvinceData
 * @Package com.liquidnet.service.kylin.dao.report
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/23 10:57
 */
@Data
public class PerformanceProvinceDataDto  implements Serializable {
    private String performanceId;
    private String province;
    private long totalNumber;

    private static final PerformanceProvinceDataDto obj = new PerformanceProvinceDataDto();

    public static PerformanceProvinceDataDto getNew() {
        try {
            return (PerformanceProvinceDataDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PerformanceProvinceDataDto();
        }
    }
}
